# Mempool Fees

## GET /v1/bitcoin/mempool/stats

> Retrieve stats for the projected blocks from the transactions in the mempool.

```json
{"openapi":"3.0.3","info":{"title":"SecretKeyLabs API","version":"1.0.0"},"tags":[{"name":"Bitcoin"}],"servers":[{"url":"https://api.secretkeylabs.io"}],"security":[{"apiKey":[]}],"components":{"securitySchemes":{"apiKey":{"type":"apiKey","name":"x-api-key","in":"header"}}},"paths":{"/v1/bitcoin/mempool/stats":{"get":{"tags":["Bitcoin"],"description":"Retrieve stats for the projected blocks from the transactions in the mempool.","responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","properties":{"currentBlockHeight":{"type":"number"},"projectedBlocks":{"type":"array","items":{"type":"object","properties":{"height":{"type":"number"},"weight":{"type":"number"},"vbytes":{"type":"number"},"txnCount":{"type":"number"},"totalFeesSats":{"type":"number"},"feeRates":{"type":"object","properties":{"min":{"type":"number"},"max":{"type":"number"},"avg":{"type":"number"},"median":{"type":"number"},"p75":{"type":"number"},"p95":{"type":"number"}},"required":["min","max","avg","median","p75","p95"]}},"required":["height","weight","vbytes","txnCount","totalFeesSats","feeRates"]}}},"required":["currentBlockHeight","projectedBlocks"]}}}},"400":{"description":"Invalid input","content":{"application/json":{"schema":{"description":"Invalid input","type":"string"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"description":"Unauthorized","type":"string"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"description":"Not found","type":"string"}}}},"429":{"description":"Rate limit exceeded","content":{"application/json":{"schema":{"description":"Rate limit exceeded","type":"string"}}}},"500":{"description":"Internal server error","content":{"application/json":{"schema":{"description":"Internal server error","type":"string"}}}}}}}}}
```
